Package org.apache.datasketches.tuple.arrayofdoubles

# Class ArrayOfDoublesSketches

java.lang.Object
org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesSketches

public final class ArrayOfDoublesSketches extends Object
Convenient static methods to instantiate tuple sketches of type ArrayOfDoubles.

## Constructor Summary

Constructors
Constructor
Description
`ArrayOfDoublesSketches()`

## Method Summary

Modifier and Type
Method
Description
`static ArrayOfDoublesSketch`
`heapifySketch(org.apache.datasketches.memory.Memory srcMem)`
Heapify the given Memory as an ArrayOfDoublesSketch
`static ArrayOfDoublesSketch`
`heapifySketch(org.apache.datasketches.memory.Memory srcMem, long seed)`
Heapify the given Memory and seed as a ArrayOfDoublesSketch
`static ArrayOfDoublesUnion`
`heapifyUnion(org.apache.datasketches.memory.Memory srcMem)`
Heapify the given Memory as an ArrayOfDoublesUnion
`static ArrayOfDoublesUnion`
`heapifyUnion(org.apache.datasketches.memory.Memory srcMem, long seed)`
Heapify the given Memory and seed as an ArrayOfDoublesUnion
`static ArrayOfDoublesUpdatableSketch`
`heapifyUpdatableSketch(org.apache.datasketches.memory.Memory srcMem)`
Heapify the given Memory as an ArrayOfDoublesUpdatableSketch
`static ArrayOfDoublesUpdatableSketch`
`heapifyUpdatableSketch(org.apache.datasketches.memory.Memory srcMem, long seed)`
Heapify the given Memory and seed as a ArrayOfDoublesUpdatableSketch
`static ArrayOfDoublesSketch`
`wrapSketch(org.apache.datasketches.memory.Memory srcMem)`
Wrap the given Memory as an ArrayOfDoublesSketch
`static ArrayOfDoublesSketch`
`wrapSketch(org.apache.datasketches.memory.Memory srcMem, long seed)`
Wrap the given Memory and seed as a ArrayOfDoublesSketch
`static ArrayOfDoublesUnion`
`wrapUnion(org.apache.datasketches.memory.Memory srcMem)`
Wrap the given Memory as an ArrayOfDoublesUnion
`static ArrayOfDoublesUnion`
`wrapUnion(org.apache.datasketches.memory.Memory srcMem, long seed)`
Wrap the given Memory and seed as an ArrayOfDoublesUnion
`static ArrayOfDoublesUnion`
`wrapUnion(org.apache.datasketches.memory.WritableMemory srcMem)`
Wrap the given Memory as an ArrayOfDoublesUnion
`static ArrayOfDoublesUnion`
`wrapUnion(org.apache.datasketches.memory.WritableMemory srcMem, long seed)`
Wrap the given Memory and seed as an ArrayOfDoublesUnion
`static ArrayOfDoublesUpdatableSketch`
`wrapUpdatableSketch(org.apache.datasketches.memory.WritableMemory srcMem)`
Wrap the given WritableMemory as an ArrayOfDoublesUpdatableSketch
`static ArrayOfDoublesUpdatableSketch`
`wrapUpdatableSketch(org.apache.datasketches.memory.WritableMemory srcMem, long seed)`
Wrap the given WritableMemory and seed as a ArrayOfDoublesUpdatableSketch

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayOfDoublesSketches

public ArrayOfDoublesSketches()

## Method Details

### heapifySketch

public static ArrayOfDoublesSketch heapifySketch(org.apache.datasketches.memory.Memory srcMem)
Heapify the given Memory as an ArrayOfDoublesSketch

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesSketch

### heapifySketch

public static ArrayOfDoublesSketch heapifySketch(org.apache.datasketches.memory.Memory srcMem, long seed)
Heapify the given Memory and seed as a ArrayOfDoublesSketch

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesSketch

### heapifyUpdatableSketch

public static ArrayOfDoublesUpdatableSketch heapifyUpdatableSketch(org.apache.datasketches.memory.Memory srcMem)
Heapify the given Memory as an ArrayOfDoublesUpdatableSketch

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesUpdatableSketch

### heapifyUpdatableSketch

public static ArrayOfDoublesUpdatableSketch heapifyUpdatableSketch(org.apache.datasketches.memory.Memory srcMem, long seed)
Heapify the given Memory and seed as a ArrayOfDoublesUpdatableSketch

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesUpdatableSketch

### wrapSketch

public static ArrayOfDoublesSketch wrapSketch(org.apache.datasketches.memory.Memory srcMem)
Wrap the given Memory as an ArrayOfDoublesSketch

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesSketch

### wrapSketch

public static ArrayOfDoublesSketch wrapSketch(org.apache.datasketches.memory.Memory srcMem, long seed)
Wrap the given Memory and seed as a ArrayOfDoublesSketch

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesSketch

### wrapUpdatableSketch

public static ArrayOfDoublesUpdatableSketch wrapUpdatableSketch(org.apache.datasketches.memory.WritableMemory srcMem)
Wrap the given WritableMemory as an ArrayOfDoublesUpdatableSketch

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesUpdatableSketch

### wrapUpdatableSketch

public static ArrayOfDoublesUpdatableSketch wrapUpdatableSketch(org.apache.datasketches.memory.WritableMemory srcMem, long seed)
Wrap the given WritableMemory and seed as a ArrayOfDoublesUpdatableSketch

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesUpdatableSketch

### heapifyUnion

public static ArrayOfDoublesUnion heapifyUnion(org.apache.datasketches.memory.Memory srcMem)
Heapify the given Memory as an ArrayOfDoublesUnion

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesUnion

### heapifyUnion

public static ArrayOfDoublesUnion heapifyUnion(org.apache.datasketches.memory.Memory srcMem, long seed)
Heapify the given Memory and seed as an ArrayOfDoublesUnion

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesUnion

### wrapUnion

public static ArrayOfDoublesUnion wrapUnion(org.apache.datasketches.memory.Memory srcMem)
Wrap the given Memory as an ArrayOfDoublesUnion

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesUnion

### wrapUnion

public static ArrayOfDoublesUnion wrapUnion(org.apache.datasketches.memory.Memory srcMem, long seed)
Wrap the given Memory and seed as an ArrayOfDoublesUnion

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesUnion

### wrapUnion

public static ArrayOfDoublesUnion wrapUnion(org.apache.datasketches.memory.WritableMemory srcMem)
Wrap the given Memory as an ArrayOfDoublesUnion

Parameters:
  `srcMem` - the given source Memory
Returns:
  an ArrayOfDoublesUnion

### wrapUnion

public static ArrayOfDoublesUnion wrapUnion(org.apache.datasketches.memory.WritableMemory srcMem, long seed)
Wrap the given Memory and seed as an ArrayOfDoublesUnion

Parameters:
  `srcMem` - the given source Memory
  `seed` - the given seed
Returns:
  an ArrayOfDoublesUnion